com.tibco.bpm.service.connector

## Class EntityResolverService

- java.lang.Object
- - com.tibco.bpm.service.connector.EntityResolverService

- All Implemented Interfaces:
    EntityResolverService

      public class EntityResolverService
      extends java.lang.Object
      implements EntityResolverService

  Provides access to the EntityResolverService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.de.api.XmlResourceDetail[]` | `getResourceDetail(com.tibco.n2.common.organisation.api.XmlModelEntityId[] resourceArray)` Returns a summary of the Groups, Positions, Privileges and Capabilities associated with the identified Resource.
    `com.tibco.n2.de.api.XmlLdapEntity[]` | `listAssociatedResources(int aModelVersion, java.lang.String[] aEntityGuids, int aStartIndex, int aSoftLimit)` Lists those Resources associated with the model entities identified by their GUIDs, from the given major model version.
    `com.tibco.n2.de.api.XmlLdapEntity[]` | `listAssociatedResources(java.lang.String[] aEntityGuids, int aStartIndex, int aSoftLimit)` Lists those Resources associated with the model entities identified by their GUIDs.
    `com.tibco.n2.de.api.resolver.LookupUserResponseDocument.LookupUserResponse` | `lookupUser(int aVersion, java.lang.String aName, java.lang.String aLdapAlias, java.lang.String aLdapDn, boolean aGetDetail)` Verify that the named Resource entity is known to Directory Engine.
    `com.tibco.n2.de.api.resolver.LookupUserResponseDocument.LookupUserResponse` | `lookupUser(java.lang.String aName, java.lang.String aLdapAlias, java.lang.String aLdapDn, boolean aGetDetail)` Verify that the named Resource entity is known to Directory Engine.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getResourceDetail

          public com.tibco.n2.de.api.XmlResourceDetail[] getResourceDetail(com.tibco.n2.common.organisation.api.XmlModelEntityId[] resourceArray)
                                                                    throws com.tibco.n2.de.services.InvalidServiceRequestFault,
                                                                           com.tibco.n2.de.services.InvalidEntityReferenceFault,
                                                                           com.tibco.n2.de.services.InternalServiceFault,
                                                                           com.tibco.n2.de.services.InvalidOrgModelVersionFault

      Description copied from interface: `EntityResolverService`
      Returns a summary of the Groups, Positions, Privileges and Capabilities associated with the identified Resource.
      Specified by:
        `getResourceDetail` in interface `EntityResolverService`
      Returns:
        The collection of detailed information describing the Resource identified by the given parameters.
      Throws:
        `com.tibco.n2.de.services.InvalidServiceRequestFault`
        `com.tibco.n2.de.services.InvalidEntityReferenceFault`
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.InvalidOrgModelVersionFault`

    - #### listAssociatedResources

          public com.tibco.n2.de.api.XmlLdapEntity[] listAssociatedResources(java.lang.String[] aEntityGuids,
                                                                             int aStartIndex,
                                                                             int aSoftLimit)
                                                                      throws com.tibco.n2.de.services.InvalidEntityReferenceFault,
                                                                             com.tibco.n2.de.services.InternalServiceFault,
                                                                             com.tibco.n2.de.services.InvalidOrgModelVersionFault

      Description copied from interface: `EntityResolverService`
      Lists those Resources associated with the model entities identified by their GUIDs. If a Resource is associated with more than one of the identified model entities, it will only be listed once.

      For Org-Units; the result will include those Resources that hold Positions within the Org-Unit.
      For Groups; the result will also include the Resources associated to a given Group's sub-Groups.

      Lists those Resources associated with the model entities identified by their GUIDs. If a Resource is associated with more than one of the identified model entities, it will only be listed once. A sub-set of the possible values can be returned using the "start-index" and "soft-limit" attributes.

      Specified by:
        `listAssociatedResources` in interface `EntityResolverService`
      Throws:
        `com.tibco.n2.de.services.InvalidEntityReferenceFault`
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.InvalidOrgModelVersionFault`

    - #### listAssociatedResources

          public com.tibco.n2.de.api.XmlLdapEntity[] listAssociatedResources(int aModelVersion,
                                                                             java.lang.String[] aEntityGuids,
                                                                             int aStartIndex,
                                                                             int aSoftLimit)
                                                                      throws com.tibco.n2.de.services.InvalidEntityReferenceFault,
                                                                             com.tibco.n2.de.services.InternalServiceFault,
                                                                             com.tibco.n2.de.services.InvalidOrgModelVersionFault

      Description copied from interface: `EntityResolverService`
      Lists those Resources associated with the model entities identified by their GUIDs, from the given major model version. If a Resource is associated with more than one of the identified model entities, it will only be listed once.

      For Org-Units; the result will include those Resources that hold Positions within the Org-Unit.
      For Groups; the result will also include the Resources associated to a given Group's sub-Groups.

      Lists those Resources associated with the model entities identified by their GUIDs. If a Resource is associated with more than one of the identified model entities, it will only be listed once. A sub-set of the possible values can be returned using the "start-index" and "soft-limit" attributes.

      Specified by:
        `listAssociatedResources` in interface `EntityResolverService`
      Throws:
        `com.tibco.n2.de.services.InvalidEntityReferenceFault`
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.InvalidOrgModelVersionFault`

    - #### lookupUser

          public com.tibco.n2.de.api.resolver.LookupUserResponseDocument.LookupUserResponse lookupUser(java.lang.String aName,
                                                                                                       java.lang.String aLdapAlias,
                                                                                                       java.lang.String aLdapDn,
                                                                                                       boolean aGetDetail)
                                                                                                throws com.tibco.n2.de.services.InvalidServiceRequestFault,
                                                                                                       com.tibco.n2.de.services.InternalServiceFault,
                                                                                                       com.tibco.n2.de.services.SecurityFault

      Description copied from interface: `EntityResolverService`
      Verify that the named Resource entity is known to Directory Engine. The request can either be by name or LDAP entry.

      If the request is by LDAP entry, the caller may supply the LDAP Alias in order to reduce the search results.

      The caller may optionally specify that the response should include detailed information on those users that match the criteria (the default is to only return a count of the users that match the criteria.

      Specified by:
        `lookupUser` in interface `EntityResolverService`
      Parameters:
        `aName` - the name of the Resource to be located.
        `aLdapAlias` - the LDAP Alias to which the Resources are to be associated.
        `aLdapDn` - the LDAP DN that identifies the Resource.
        `aGetDetail` - `true` if the details of the Resources should be returned.
      Throws:
        `com.tibco.n2.de.services.InvalidServiceRequestFault`
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.SecurityFault`

    - #### lookupUser

          public com.tibco.n2.de.api.resolver.LookupUserResponseDocument.LookupUserResponse lookupUser(int aVersion,
                                                                                                       java.lang.String aName,
                                                                                                       java.lang.String aLdapAlias,
                                                                                                       java.lang.String aLdapDn,
                                                                                                       boolean aGetDetail)
                                                                                                throws com.tibco.n2.de.services.InvalidServiceRequestFault,
                                                                                                       com.tibco.n2.de.services.InternalServiceFault,
                                                                                                       com.tibco.n2.de.services.SecurityFault

      Description copied from interface: `EntityResolverService`
      Verify that the named Resource entity is known to Directory Engine. The request can either be by name or LDAP entry.

      If the request is by LDAP entry, the caller may supply the LDAP Alias in order to reduce the search results.

      The caller may optionally specify that the response should include detailed information on those users that match the criteria (the default is to only return a count of the users that match the criteria.

      Specified by:
        `lookupUser` in interface `EntityResolverService`
      Parameters:
        `aVersion` - the major org-model version from which the Resources' associations should be reported.
        `aName` - the name of the Resource to be located.
        `aLdapAlias` - the LDAP Alias to which the Resources are to be associated.
        `aLdapDn` - the LDAP DN that identifies the Resource.
        `aGetDetail` - `true` if the details of the Resources should be returned.
      Throws:
        `com.tibco.n2.de.services.InvalidServiceRequestFault`
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.